namespaces
Delete a namespace
Delete a namespace owned by the authenticated user. The namespace must not contain any servers. Skills and connections in the namespace will be deleted automatically.
DELETE
/
namespaces
/
{name}
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const namespace = await client.namespaces.delete('xxx');
console.log(namespace.name);curl --request DELETE \
--url https://api.smithery.ai/namespaces/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smithery.ai/namespaces/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
{
"success": true,
"name": "myorg"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}Was this page helpful?
Previous
Create a server under a namespace (deprecated)**Deprecated:** Use PUT /servers/{namespace}/{server} instead. Create a new server under the specified namespace. This endpoint is idempotent.
Next
⌘I
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const namespace = await client.namespaces.delete('xxx');
console.log(namespace.name);